# EntryIDViewer
#
# Release 0.01 (Nov 18, 2009) initial version.
#
# Copyright (c) 2004-2009 Yujiro Araki

package MT::Plugin::EntryIDViewer;
use strict;
use base qw(MT::Plugin);

use MT;

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new({
    id => 'entryidviewer',
    name => 'EntryIDViewer',
    description => '<MT_TRANS phrase="Display Entry ID.">',
    doc_link => 'http://www.koikikukan.com/archives/2009/11/18-005555.php',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    l10n_class => 'EntryIDViewer::L10N',
    version => $VERSION,
});
MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            'MT::App::CMS::template_source.edit_entry'
                => \&display_entry_id_edit_entry,
            'MT::App::CMS::template_source.entry_table'
                => \&display_entry_id_entry_table,
        },
   });
}

sub display_entry_id_edit_entry {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
    <\$mt:setvar name="page_title" value="<__trans phrase="Edit Page">"\$>
    </mt:if>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
    <mt:setvar name="page_title" value="<__trans phrase="Edit Page">">
    </mt:if>
<mt:setvarblock name="page_title" append="1"> ID:<mt:var name="id"></mt:setvarblock>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
    <\$mt:setvar name="page_title" value="<__trans phrase="Edit Entry">"\$>
    </mt:if>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
    <mt:setvar name="page_title" value="<__trans phrase="Edit Entry">">
    </mt:if>
<mt:setvarblock name="page_title" append="1"> ID:<mt:var name="id"></mt:setvarblock>
HERE
    $$template =~ s/$old/$new/;
}

sub display_entry_id_entry_table {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
                <th class="title primary-col"><__trans phrase="Title"></th>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
                <th class="view"><__trans phrase="ID"></th>
                <th class="title primary-col"><__trans phrase="Title"></th>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
                <td class="title"<mt:if name="view_expanded"> colspan="<mt:if name="object_type" eq="page"><mt:if name="blog_view">4<mt:else>5</mt:if><mt:else><mt:if name="blog_view">5<mt:else>6</mt:if></mt:if>"</mt:if>>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
                <td><mt:var name="id"></td>
                <td class="title"<mt:if name="view_expanded"> colspan="<mt:if name="object_type" eq="page"><mt:if name="blog_view">4<mt:else>5</mt:if><mt:else><mt:if name="blog_view">5<mt:else>6</mt:if></mt:if>"</mt:if>>
HERE
    $$template =~ s/$old/$new/;
}

1;
